shishi_random_to_key(3)

NAME
shishi_random_to_key - API function

SYNOPSIS
#include <shishi.h>

int shishi_random_to_key(Shishi * handle, int32_t keytype, const char * rnd, size_t rndlen, Shishi_key * outkey);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

int32_t keytype
    cryptographic encryption type, see Shishi_etype.

const char * rnd
    input array with random data.

size_t rndlen
    length of input array with random data.

Shishi_key * outkey
    allocated key handle that will contain new key.

DESCRIPTION
Derive key from random data for specified key type, and set the type and value in the given key to the computed values.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.